<?php $this->load->view('components/no-cache'); ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<link rel="stylesheet" type="text/css" href="<?php echo asset_url(); ?>style/style.css"/>
<link type='text/css' href='<?php echo asset_url(); ?>style/basic.css' rel='stylesheet' media='screen' />
<script type='text/javascript' src='<?php echo asset_url(); ?>js/jquery.js'></script>
<script type='text/javascript' src='<?php echo asset_url(); ?>js/jquery.simplemodal.js'></script>

<title>Patient</title>
</head>
<body>
<div class="wraper">
	<?php $this->load->view('components/header');?>
	<content>
		<div style="float:left; background:#F8F8F8; border-radius:5px;margin-bottom:40px;">
			<div class="left" style="width: 100%;height: 559px;">
				<div class="l_top">
					<div class="heading1">Daily Assessment</div>
				</div>
				<div class="main">
					<div class="list_heading">
						<div class="s_buttons2 pointer_cursor">
							<a id="week_" onclick="updateDailyAssessmentContent(this);" <?php if ($daily_review_cycle == "Week") echo "class='active'";  ?>>Last Week</a>
							<a id="month_" onclick="updateDailyAssessmentContent(this);" <?php if ($daily_review_cycle == "Month") echo "class='active'";  ?>>Last Month</a>
							<a id="year_" onclick="updateDailyAssessmentContent(this);" <?php if ($daily_review_cycle == "Year") echo "class='active'";  ?>>Last Year</a>
							<a id="all_" onclick="updateDailyAssessmentContent(this);" <?php if ($daily_review_cycle == "All") echo "class='active'";  ?>>All</a>
						</div>
					</div>
                    
                    <input type="hidden" name="patient_id" id="patient_id" value="<?php echo $selected_patient_id; ?>" />
                    <input type="hidden" name="review_cycle_type" id="review_cycle_type" value="<?php echo strtolower($daily_review_cycle)."_"; ?>" />
                    <div id="daily_assessment_content">
                        <?php $this->load->view('daily_assessment_components/daily_assessment_content'); ?>
                    </div>
				</div>
			</div>
			<?php $this->load->view('components/right')?>
		</div>
	</content>
</div>
</body>
<script type="text/javascript">
	function updateDailyAssessmentContent(elem){
		var review_cycle = elem.id;
		var patient_id = document.getElementById('patient_id').value
		var form_data = {
			review_cycle:review_cycle,
			patient_id:patient_id
		}
		$.ajax({
			url: "<?php echo site_url('patient/daily_assessment_by_period'); ?>",
			type:'POST',
			data:form_data,
			success: function(data){
				if(data == "LOGGEDOUT")				
					window.location = "<?php echo site_url('patient'); ?>"
				else{
					document.getElementById('daily_assessment_content').innerHTML = data
					var last_highlighted_id = document.getElementById('review_cycle_type').value
					document.getElementById(last_highlighted_id).className = "";
					document.getElementById(review_cycle).className = "active";
					document.getElementById('review_cycle_type').value = review_cycle;					
					//alert(data)
				}
			 }
		});
	}
	function updateDailyAssessmentContentByDate(elem){
		var id = elem.id
		var element = document.getElementById(id)
		if(element.selectedIndex == 0)
			return false
		var select_date = element.options[element.selectedIndex].value
		var review_cycle = document.getElementById('review_cycle_type').value
		var patient_id = document.getElementById('patient_id').value
		var form_data = {
			select_date: select_date,
			review_cycle:review_cycle,
			patient_id:patient_id
		}
		$.ajax({
			url: "<?php echo site_url('patient/daily_assessment_by_date'); ?>",
			type:'POST',
			data:form_data,
			success: function(data){
				if(data == "LOGGEDOUT")				
					window.location = "<?php echo site_url('patient'); ?>"
				else{
					document.getElementById('daily_assessment_content').innerHTML = data				
					//alert(data)
				}
			 }
		});
	}
</script>
</html>