<?php if(isset($selected_patient_dailyreviews_dates[0])){ ?>
    <div class="heading2" style="border-bottom:none; margin-bottom:20px">	
            SELECT DATE<br />
            <select name="date_list" id="date_list" onchange="updateDailyAssessmentContentByDate(this);" style="font-size:18px;width:200px; height:30px; background:#f7f7f7; border:1px solid #bababa;">
                <option value="0">mm/dd/yy</option>
                <?php			
                    foreach($selected_patient_dailyreviews_dates as $review_date){
                        $text = date("m/d/Y", strtotime($review_date->updatedAt));
                        if(date("m/d/Y", strtotime($review_date->updatedAt)) == date("m/d/Y", strtotime($selected_date))) $selected = "selected='selected'";
                        else $selected = "";
                        $value = $review_date->updatedAt;
                        $text = date("m/d/Y", strtotime($review_date->updatedAt));
                        echo "<option $selected value='$value'>$text</option>";
                    }
                ?>
            </select>
    </div>
    <?php
        foreach($selected_date_data as $date_data){
    ?>
            <div class="heading2">
                <?php echo $date_data->time_of_day; ?>
            </div>
            <div class="list_bg2">
                <div class="lh11">Over the past 24 hours, what has been your average pain?</div>
                <div class="lh22"><?php echo $date_data->average_pain; ?></div>
            </div>
            <div class="list_bg2">
                <div class="lh11">How much has your pain interfered with your daily activities? </div>
                <div class="lh22"><?php echo $date_data->interfered_daily_activity; ?></div>
            </div>
            <div class="list_bg2">
                <div class="lh11">How much has your pain interfered with your sleep?</div>
                <div class="lh22"><?php echo $date_data->pain_intereferd_with_sleep; ?></div>
            </div>
            <div class="list_bg2">
                <div class="lh11">How depressed and anxious have you been? </div>
                <div class="lh22"><?php echo $date_data->depress_and_anxious; ?></div>
            </div>
            <div class="list_bg2">
                <div class="lh11">How much have things changed?</div>
                <div class="lh22"><?php echo $date_data->improved_things; ?></div>
            </div>
            <div class="list_bg2">
                <div class="lh11">List <?php echo $date_data->time_of_day; ?> tasks you achieved and times you achieved them.</div>
                <div class="lh22">
                    <?php
                        $counter = 1;
                        foreach($selected_date_data_reviewtasks[$date_data->reviewID] as $reviewtask){ 					
                    ?>
                            <p><?php echo $reviewtask->task_text. " : " . date("g:i a", strtotime($reviewtask->task_time)); ?>
                    <?php
                        }
                    ?>
                </div>
            </div>
            
            <div class="heading3">
				PAIN LOCATION
			</div>
            
            <div class="pl">
                <?php 
                $painPosition = $date_data->pain_position_list;
                $painPosition = explode(",", $painPosition);
            	foreach($painPosition as $pain_data){ ?>
					<img style="float:left;" src="<?php echo $pain_data; ?>" />
                <?php } ?>
			</div>
            
    <?php
        }
    ?>
    <div class="list_heading">
        <div class="s_buttons3">
            <a onclick="showGraph();" class="active">Graph of Pain</a>
        </div>
        <input type="hidden" id="last_hilite_graph_type" name="last_hilite_graph_type" value="pain_graph" />
    </div>
    <div id="basic-modal-content-3">
    	<div id='s_buttons4'><a class='copy' id='graph-image-to-save' style="float:right;" href='' download = ''>Download</a></div>
    	<div id="graph">
        	<img id="graph-image" src="" alt="" class="">
        </div>
        <div id="xvalue" style="height: 80px;"></div>
        <div id="graph-buttons">
            <div class="s_buttons4">
                <a id="pain_graph" onclick="getGraph(this);" class="active">Average Pain</a>
            </div>
            <div class="s_buttons4">
                <a id="sleep_graph" onclick="getGraph(this);">Sleep Rating</a>
            </div>
            <div class="s_buttons4">
                <a id="mood_graph" onclick="getGraph(this);">Average Mood</a>
            </div>
            <div class="s_buttons4">
                <a id="activity_graph" onclick="getGraph(this);">Average Activity Interferences</a>
            </div>
        </div>
    </div>
    
<?php } else echo "<div class='heading2' style='border-bottom:none; margin-bottom:20px'>No data available</div>";?>   
<script type='text/javascript'>
    
	function showGraph(){
		getGraph(document.getElementById('pain_graph'))
		$('#basic-modal-content-3').modal({onShow: function (d) {
			// replace '0px' with your value, or remove the property
			d.container.css({margin: 'auto'});
		}});
	}
	function getGraph(elem){
		var graph_duration = ""		
		if(document.getElementById('week_').className == "active")
			graph_duration = "week"
		else if(document.getElementById('month_').className == "active")
			graph_duration = "month"
		else if(document.getElementById('year_').className == "active")
			graph_duration = "year"
		else if(document.getElementById('all_').className == "active")
			graph_duration = "all"
		var form_data = {
			graph_duration: graph_duration,
			graph_type: elem.id,
			patient_id: document.getElementById('patient_id').value
		}
		var graph_type = elem.id
		var image_name_part_1 = ""
		if(graph_type == "pain_graph")			
			image_name_part_1 = "Average Pain";
		else if(graph_type == "sleep_graph")			
			image_name_part_1 = "Sleep Rating";
		else if(graph_type == "mood_graph")			
			image_name_part_1 = "Average Mood";
		else if(graph_type == "activity_graph")			
			image_name_part_1 = "Average Activity Interferences";
		
        $.ajax({
			url: "<?php echo site_url('patient/showGraph'); ?>",
			type:'POST',
			data:form_data,
			success: function(data){
				document.getElementById(document.getElementById('last_hilite_graph_type').value).className = ""
				document.getElementById(elem.id).className = "active"
				document.getElementById('last_hilite_graph_type').value = elem.id
				var $newImg = $('<img />');
				$newImg.attr('src', data);   // <----- just string, not HTML, input				
				$('#graph').html($newImg);
				document.getElementById('graph-image-to-save').href = data
				var currentDate = new Date()
				var day = currentDate.getDate()
				var month = currentDate.getMonth() + 1
				var year = currentDate.getFullYear()
				var today_date = day + "-" + month + "-" + year
				document.getElementById('graph-image-to-save').download = image_name_part_1 + "_" + today_date + ".png"
			 }
		});
        
        
        $.ajax({
			url: "<?php echo site_url('patient/showXValueGraph'); ?>",
			type:'POST',
			data:form_data,
			success: function(data){
			     document.getElementById('xvalue').innerHTML = data;
			 }
		});
	}
    
    function getMonthResult(elem) {
        
        var data = document.getElementById(elem.id).innerHTML;
        
        var graphActive = ""
		if(document.getElementById('pain_graph').className == "active")
			graphActive = "pain_graph"
		else if(document.getElementById('sleep_graph').className == "active")
			graphActive = "sleep_graph"
		else if(document.getElementById('mood_graph').className == "active")
			graphActive = "mood_graph"
		else if(document.getElementById('activity_graph').className == "active")
			graphActive = "activity_graph"
		
        
        getMonthGraph(document.getElementById(graphActive),data)
    }
    
    function getMonthGraph(elem, graph_duration) {
        var form_data = {
			graph_duration: graph_duration,
			graph_type: elem.id,
			patient_id: document.getElementById('patient_id').value
		}
		var graph_type = elem.id
		var image_name_part_1 = ""
		if(graph_type == "pain_graph")			
			image_name_part_1 = "Average Pain";
		else if(graph_type == "sleep_graph")			
			image_name_part_1 = "Sleep Rating";
		else if(graph_type == "mood_graph")			
			image_name_part_1 = "Average Mood";
		else if(graph_type == "activity_graph")			
			image_name_part_1 = "Average Activity Interferences";
		
        $.ajax({
			url: "<?php echo site_url('patient/showMonthGraph'); ?>",
			type:'POST',
			data:form_data,
			success: function(data){
				document.getElementById(document.getElementById('last_hilite_graph_type').value).className = ""
				document.getElementById(elem.id).className = "active"
				document.getElementById('last_hilite_graph_type').value = elem.id
				var $newImg = $('<img />');
				$newImg.attr('src', data);   // <----- just string, not HTML, input				
				$('#graph').html($newImg);
				document.getElementById('graph-image-to-save').href = data
				var currentDate = new Date()
				var day = currentDate.getDate()
				var month = currentDate.getMonth() + 1
				var year = currentDate.getFullYear()
				var today_date = day + "-" + month + "-" + year
				document.getElementById('graph-image-to-save').download = image_name_part_1 + "_" + today_date + ".png"
			 }
		});
        
        $.ajax({
			url: "<?php echo site_url('patient/showXValueMonthGraph'); ?>",
			type:'POST',
			data:form_data,
			success: function(data){
			     document.getElementById('xvalue').innerHTML = data;
			 }
		});
        
    }
</script> 