<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<link rel="stylesheet" type="text/css" href="<?php echo asset_url(); ?>style/style.css"/>
<link type='text/css' href='<?php echo asset_url(); ?>style/basic.css' rel='stylesheet' media='screen' />
<script type='text/javascript' src='<?php echo asset_url(); ?>js/jquery.js'></script>
<script type='text/javascript' src='<?php echo asset_url(); ?>js/jquery.simplemodal.js'></script>
<title>Patient</title>
</head>
<body>
<div class="wraper">
	<?php $this->load->view('components/header'); ?>
	<content>
		<div style="float:left; background:#fff; border-radius:5px;margin-bottom:40px;">
			<div class="left">
				<div class="l_top">
					<div class="heading1">Medication List</div>
				</div>
                <input type="hidden" id="patient_id" name="patient_id" value="<?php echo $selected_patient_id; ?>" />
				<div class="main">
					<div class="heading2">
                                            <div class="send_msg_btn" style="margin:0px 30px;">
                     
                    	<button onclick="showSendMessage();">Send Message to Patient</button>
						                       
					</div>
						PAIN MEDICATION EDIT 
                         
					</div>
					
                    <div id="current_medication_">
	                    <?php $this->load->view('components/current_medication'); ?>
                    </div>       					
					<div class="list_heading">						
                    	<div class="s_buttons2">
							<input placeholder="Enter Medicine Name" style="margin-top:2px;display:none;" type="text" id="medicine_name" name="medicine_name" />
						</div>
						<div class="s_buttons2">
							<a onclick="addMedicine('medicine_name');" class="active">+Add Medication</a>
						</div>
					</div>
					<div class="clr"></div>
					<div style="float:left; height:50px;"></div>
					<div class="heading2">						
						Other medications
					</div>
					<div id="other_medication_">
	                    <?php $this->load->view('components/other_medication'); ?>
                    </div>
					<div class="list_heading">	
                    	<div class="s_buttons2">
							<input placeholder="Enter Medicine Name" style="margin-top:2px;display:none;" type="text" id="other_medicine_name" name="other_medicine_name" />
						</div>					
						<div class="s_buttons2">
							<a onclick="addMedicine('other_medicine_name');" class="active">+Add Medication</a>
						</div>
					</div>
				</div>
			</div>
			<?php $this->load->view('components/right'); ?>
		</div>
	</content>
</div>
</body>
<script type="text/javascript">
	function addMedicine(elem_name){
		var medicine_type = ""
		if(elem_name == "medicine_name")
			medicine_type = "pain"
		else if(elem_name == "other_medicine_name"){
			medicine_type = "other"
		}
		var elem = document.getElementById(elem_name)
		if(elem.style.display == "none"){
			elem.style.display = "block"
			document.getElementById(elem_name).focus()
		}
		else{
			if(document.getElementById(elem_name).value == ""){
				alert("Please enter some name!!")
				document.getElementById(elem_name).focus()
			}
			else{
				var form_data = {
					medicine_name: document.getElementById(elem_name).value,
					patient_id: document.getElementById('patient_id').value,
					medicine_type: medicine_type
				}
				$.ajax({
					url: "<?php echo site_url('patient/addMedicine'); ?>",
					type:'POST',
					data:form_data,
					success: function(data){
						if(data == "LOGGEDOUT")				
							window.location = "<?php echo site_url('patient'); ?>"
						else{
							document.getElementById(elem_name).value = ""
							elem.style.display = "none"
							if(medicine_type == "pain")
								document.getElementById('current_medication_').innerHTML = data
							else if(medicine_type == "other")
								document.getElementById('other_medication_').innerHTML = data
							alert("Medicine Added!!");
							//alert(data)
						}
					 }
				});
			}
		}
	}
	function deleteMedicine(elem, type){
		if(confirm("Are you sure to delete this medicine?")){
			var id = elem.id
			id = id.substring(id.indexOf("_") + 1)
			var form_data = {
				medicine_id:id,
				patient_id: document.getElementById('patient_id').value,
				medicine_type: type
			}
			$.ajax({
				url: "<?php echo site_url('patient/deleteMedicineById'); ?>",
				type:'POST',
				data:form_data,
				success: function(data){
					if(data == "LOGGEDOUT")				
						window.location = "<?php echo site_url('patient'); ?>"
					else{
						if(type == "pain")
							document.getElementById('current_medication_').innerHTML = data
						else if(type == "other")
							document.getElementById('other_medication_').innerHTML = data
					}
				 }
			});
		}
	}
</script>
</html>