<?php $this->load->view('components/cache-disable'); ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<link rel="stylesheet" type="text/css" href="<?php echo asset_url(); ?>style/style.css"/>
<link type='text/css' href='<?php echo asset_url(); ?>style/basic.css' rel='stylesheet' media='screen' />
<script type='text/javascript' src='<?php echo asset_url(); ?>js/jquery.js'></script>
<script type='text/javascript' src='<?php echo asset_url(); ?>js/jquery.simplemodal.js'></script>
<title>Patient</title>
</head>
<body>
<div class="wraper">
	<?php $this->load->view('components/header'); ?>
	<content>
		<div style="float:left; background:#fff; border-radius:5px; margin-bottom:40px;">
			<div class="left">
				<div class="l_top">
					<div class="heading1">Patient Reports</div>
				</div>
				<div class="main">
                    
                    <div class="list_heading" style="width: 660px;">
						<div id="new_topic_insert_div">
                        	<input type="hidden" id='confirm_upload' value="" />
                            <label style="float:left;margin-right:10px;">Select Patient:</label>
                            <select id="patientList" name="patientList" style="margin-right:10px;float:left;margin-top:9px;">
                            <?php
                            foreach($all_patient_rows as $row)
                            {
                                echo '<option value="'.$row->userID.'_'.$row->user_name.'">'.$row->user_name.' '.$row->user_last_name.'</option>';
                            }
                            ?>
                            </select>
                            <label style="float:left;margin-right:10px;">Select File:</label>
                            <form action="" style="float:left;" method="post" enctype="multipart/form-data" name="content_upload" id="content_upload">
                                <input style="margin-right:10px;margin-top:9px;" onChange="upload_content_document();" type="file" name="content_file" id="content_file" value=""/>
                            </form>
                        </div>
					</div>
                    <div class="s_buttons2" style="margin-top: 6px;margin-left: 30px;">
						<a onclick="addReport();" class="active">+Add Report</a>
                        <div class="clearfix"></div>
					</div>
                    
                    <?php
                    if(isset($all_reports_rows)) {
                        
                        echo "<div class='heading2'>REPORTS LIST</div>";
                        
                        if (count($all_reports_rows) == 0) {
                            echo "<div class='list_bg2'>";
        					echo "<div class='lh11' id='topic1' style='width: 660px;'>No Reports Found</div>";
        					echo "</div>";
                        }
                        else {
                            
                            echo "<div class='list_bg2'>";
        					echo "<div class='lh11' id='topic1' style='width: 150px;'>Patient</div>";
        					echo "<div class='lh11' id='topic1' style='width: 190px;'>Filename</div>";
        					echo "<div class='lh11' id='topic1' style='width: 140px;'>Upload time</div>";
        					echo "<div class='lh11' id='topic1' style='width: 180px;'></div>";
        					echo "</div>";
                            foreach ($all_reports_rows as $row) {
                                
                                
                                
                                $location = "../../../../uploads/report/".$row->report_path;
                                
                                echo "<div class='list_bg2'>";
            					echo "<div class='lh11' id='topic1' style='width: 150px;'>".((isset($row->patient_name))? $row->patient_name : 'Name')."</div>";
            					echo "<div class='lh11' id='topic1' style='width: 190px;'>".$row->reportName."</div>";
            					echo "<div class='lh11' id='topic1' style='width: 140px;'>".date("m.d.Y h:i:s", strtotime($row->report_upload_time))."</div>";
            					echo "<div class='lh11' id='topic1' style='width: 80px;'><a href='".$location."' target='blank'>Download</a></div>";
            					echo "<div class='lh11' id='rem_".$row->report_id."' onClick='removeReport(this);' style='width:50px; text-align:center; cursor:pointer; margin-left:50px; color:blue;'>Delete</div>";
            					echo "</div>";
                                               
                            }
                        }
                    } ?>
                    <div style="padding-top:30px; clear:both;"></div>
				</div>
			</div>
            
			<div style="float:left;" id="right-content">
				<?php $this->load->view('components/right'); ?>
            </div>
            
		</div>
	</content>
    <?php $this->load->view('components/footer'); ?>
</div>
</body>
<script type="text/javascript">
    function formSubmit()
	{
	   document.getElementById("goal_form").submit();
    }
    
    function addReport(){
		var elem = document.getElementById('patientList').value;
        elem = elem.split("_");
        elem = elem[0];
        
		if(document.getElementById('content_file').value == ""){
			alert("Please select some content file!!")
			document.getElementById('content_file').focus()
		}
		else{
            var tempName = "";
			var form_data = new FormData(document.forms.namedItem("content_upload"))
			$.ajax({
				url: "<?php echo site_url('patient/upload_content_file_report'); ?>",
				type:'POST',
				data:form_data,
				async: false,
				success: function(msg){	
                    
                    if(msg == "LOGGEDOUT")
						window.location = "<?php echo site_url('patient'); ?>"
					if (msg == "Invalid file"){
						alert("Invalid file. Please select a valid file")
						return false
					}
					if(msg.indexOf('already exists') > 0){
						alert("Another file with the same name exists. Please change the name of file")
						return false
					}
                    if(msg == "file size issue") {
                        alert("Maximum size allowed is 2MB. Please try again")
						return false
                    }
                    
					if(msg.split("|")[0] == "Uploaded"){
					    tempName = msg.split("|")[1];
						document.getElementById('confirm_upload').value = "yes"
                    }
				},
				cache: false,
				contentType: false,
				processData: false
			});
			if(document.getElementById('confirm_upload').value == "yes")
				makeDbEntry(elem, tempName, "Content")
		}
	}
    
    function makeDbEntry(patient_id, file_name, type)
    {
        alert(file_name);
        if (document.getElementById('confirm_upload').value = "yes")
        {
            var form_data = {
    			pID: patient_id,
    			file_name: file_name.replace("C:\\fakepath\\","")
    		}
    		$.ajax({
    			url: "<?php echo site_url('patient/addReportDetailUpload'); ?>",
    			type:'POST',
    			data:form_data,
    			success: function(data){
    			    
    				if(data == "LOGGEDOUT")				
    					window.location = "<?php echo site_url('patient'); ?>"
    				else{
    					document.getElementById('content_file').value = ""								
    					document.getElementById('confirm_upload').value = ""
    					window.location = "<?php echo site_url('patient/report_list'); ?>"+"/" + document.getElementById('patient_id_').value
    				}
    			 }
    		});
        }
	}
    function removeReport(elem) {
        
        var remID = elem.id;
        remID = remID.split("_");
        remID = remID[1];
//        alert(remID);
        
        if(confirm("Are you sure to delete this appointment?")){
            var form_data = {
                rem_id: remID
            }
            
            $.ajax({
            	url: "<?php echo site_url('patient/removeReport'); ?>",
            	type:'POST',
            	data:form_data,
            	success: function(msg){
            	   if(msg == "LOGGEDOUT") {
        	           window.location = "<?php echo site_url('patient'); ?>"
            	   }
                   else{
                       alert("Report removed successfully")
                       window.location = "<?php echo site_url('patient/report_list'); ?>"+"/" + document.getElementById('patient_id_').value
                   }
            	}
            });
        }
    }
</script>
</html>