<?php // content="text/plain; charset=utf-8"
$asset_url = asset_url();
$this->load->view('jpgraph/jpgraph');
$this->load->view('jpgraph/jpgraph_bar');

$datay1 = $y_axis_tags;
//echo implode(" ",$x_axis_tags); 
//$datay2 = array(4,9,42,8,1,15,45, 34,23,24, 12, 13);
//$datay3 = array(4,9,42,8,1,15, 12, 18,17,32,24,1);

// Setup the graph
$graph = new Graph(700,300);
$graph->SetClipping();
$graph->SetScale("textlin", 0, 150);

$theme_class=new UniversalTheme;

$graph->SetTheme($theme_class);
$graph->img->SetAntiAliasing(false);
$graph->title->Set($title);
$graph->SetBox(false);

$graph->img->SetAntiAliasing();

$graph->yaxis->HideZeroLabel();
$graph->yaxis->HideLine(false);
$graph->yaxis->HideTicks(false,false);
//$graph->yaxis->SetTickPositions(array(0,1,2,3,4,5,6,7,8,9,10));


//if($valid != 0){
$graph->xgrid->Show();
//}
$graph->xgrid->SetLineStyle("solid");
$graph->xaxis->SetTickLabels($x_axis_tags);
//$graph->xaxis->SetLabelAlign('center','center');
$graph->SetMargin(40,40,40,40);
$graph->xgrid->SetColor('#E3E3E3');
$arrToRemove =  array();
$arrToRemoveXIndex = array();
//if(count($x_axis_tags) < count($y_axis_tags)){
  //  array_splice($x_axis_tags, 0,0);
//}
$valid= 0;
for ($i = 0; $i < count($datay1); ++$i) {
     if(isset($datay1[$i]) && strcmp($datay1[$i],"") != 0 && is_float($datay1[$i]+0) && is_finite($datay1[$i])){
        $valid++;
     }else{
        
          array_push($arrToRemove,$datay1[$i]);
          array_push($arrToRemoveXIndex,$x_axis_tags[$i]);
        
     }
}

if(count($arrToRemove) != count($datay1)){
    for ($i = 0; $i < count($arrToRemove); ++$i) {
        //echo "remove".$arrToRemove[$i];
        array_splice($datay1,array_search($arrToRemove[$i], $datay1),1);
        array_splice($x_axis_tags,array_search($arrToRemoveXIndex[$i], $x_axis_tags),1);

    }
}
// Create the first line
$p1 = new BarPlot($datay1);
$p1->value->HideZero(true);

$graph->Add($p1);   
if($valid > 1){
//    $p1->link->Show();
}
  $p1->SetColor("#6495ED");
//$p1->SetLegend('Line 1');

/*// Create the second line
$p2 = new LinePlot($datay2);
$graph->Add($p2);
$p2->SetColor("#B22222");
//$p2->SetLegend('Line 2');

// Create the third line
$p3 = new LinePlot($datay3);
$graph->Add($p3);
$p3->SetColor("#FF1493");
//$p3->SetLegend('Line 3');*/

$graph->legend->SetFrameWeight(1);
// Output line
$contentType = 'image/png';

$gdImgHandler = $graph->Stroke(_IMG_HANDLER);

ob_start();                        // start buffering
$graph->img->Stream();             // print data to buffer
$image_data = ob_get_contents();   // retrieve buffer contents
ob_end_clean();                    // stop buffer
if(isset($is_encoded) && $is_encoded == "true")
	echo "data:$contentType;base64, " . base64_encode($image_data);
else 
	echo $image_data;
?>